Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class PadMode

    java.lang.Object
      org.apache.batik.ext.awt.image.PadMode

All Implemented Interfaces:
  Serializable

    public final class PadMode

extends Object
implements Serializable

This is a typesafe enumeration of the standard Composite rules for the CompositeRable operation. (over, in, out, atop, xor, arith)

See Also:
  Serialized Form

Field Summary
`static int` | `MODE_REPLICATE` Pad edges by replicating edge pixels
`static int` | `MODE_WRAP` Pad edges by wrapping around edge pixels
`static int` | `MODE_ZERO_PAD` Pad edges with zeros
`static PadMode` | `REPLICATE` Pad edges by replicating edge pixels
`static PadMode` | `WRAP` Pad edges by replicating edge pixels
`static PadMode` | `ZERO_PAD` Pad edges with zeros

Method Summary
`int` | `getMode()` Returns the mode of this pad mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_ZERO_PAD

    public static final int MODE_ZERO_PAD

  Pad edges with zeros

  See Also:
    Constant Field Values

### MODE_REPLICATE

    public static final int MODE_REPLICATE

  Pad edges by replicating edge pixels

  See Also:
    Constant Field Values

### MODE_WRAP

    public static final int MODE_WRAP

  Pad edges by wrapping around edge pixels

  See Also:
    Constant Field Values

### ZERO_PAD

    public static final PadMode ZERO_PAD

  Pad edges with zeros

### REPLICATE

    public static final PadMode REPLICATE

  Pad edges by replicating edge pixels

### WRAP

    public static final PadMode WRAP

  Pad edges by replicating edge pixels

Method Detail

### getMode

    public int getMode()

  Returns the mode of this pad mode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.